import React from 'react';
import { Map, Marker } from './NPM';
import iconMarker from './imgs/iconMarker.svg';

// App component
function App (){
  return (
    <Map options={{
      theme: 'dark_all'
    }}>
      <Marker coordinates={[ -23.4105, -46.8815 ]}/>

      <Marker
        coordinates={[ -23.4205, -46.8830 ]}
        markerOptions={{
          icon: {
            iconUrl: iconMarker,
            iconSize: [25, 25]
          },
          marker: {
            title: "Marker",
            clickable: true,
            draggable: false
          },
          popup: {
            content: `
              <h1>asd</h1>
              <p>asdasdasdasdasd</p>
              `,
            options: {// popup options
              'maxWidth': '500',
              'className' : 'custom'
            }
          }
        }}
        />

      <h1>asd</h1>
      <div/>
    </Map>
  );
}

export default App;
